# template: default
%global gem_name public_suffix

Name: rubygem-%{gem_name}
Version: 5.1.1
Release: 1%{?dist}
Summary: Domain name parser based on the Public Suffix List
License: MIT
URL: https://simonecarletti.com/code/publicsuffix-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.6
BuildRequires: ruby >= 2.6
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
PublicSuffix can parse and decompose a domain name into top level domain,
domain and subdomains.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/2.0-Upgrade.md
%doc %{gem_instdir}/SECURITY.md
%doc %{gem_instdir}/README.md

%changelog
* Sun Jul 07 2024 Foreman Packaging Automation <packaging@theforeman.org> - 5.1.1-1
- Update to 5.1.1

* Sun Apr 14 2024 Foreman Packaging Automation <packaging@theforeman.org> - 5.0.5-1
- Update to 5.0.5

* Sun Dec 03 2023 Foreman Packaging Automation <packaging@theforeman.org> 5.0.4-1
- Update to 5.0.4

* Fri Aug 11 2023 Foreman Packaging Automation <packaging@theforeman.org> 5.0.3-1
- Update to 5.0.3

* Wed Jan 04 2023 Foreman Packaging Automation <packaging@theforeman.org> 5.0.1-1
- Update to 5.0.1

* Wed Oct 26 2022 Foreman Packaging Automation <packaging@theforeman.org> 5.0.0-1
- Update to 5.0.0

* Sun Jul 24 2022 Foreman Packaging Automation <packaging@theforeman.org> 4.0.7-1
- Update to 4.0.7

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 3.0.3-3
- Rebuild against rh-ruby27

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.3-2
- Bump to release for EL8

* Mon Mar 18 2019 kgaikwad <kavitagaikwad103@gmail.com> 3.0.3-1
- Add rubygem-public_suffix generated by gem2rpm using the scl template

